petsc-3.4.2 2013-07-02

# PetscStackAMSTakeAccess

Takes access of the PETSc stack frames to the AMS publisher

### Synopsis

    #include "petscsys.h"
    void  PetscStackAMSTakeAccess(void)

Collective on PETSC_COMM_WORLD?

Developers Note: Cannot use PetscFunctionBegin/Return() or PetscStackCallAMS() since it may be used within those routines

### See Also

PetscObjectSetName(), PetscObjectAMSViewOff(), PetscObjectAMSTakeAccess()

Level:developer
Location:src/sys/error/pstack.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages